6

Does the Cataclysm Expansion Pack DVD will contain all the content from the Original, Burning Crusade, and Wrath of the Lich King. If it does, is there any requirements to download anything before the 4.0.1 patch. Understandably, there will be required patches for any version later than 4.0.1.

The Wrath of the Lich King DVD came with all the content of the past on the disk. There was no need to download anything before 3.0.

Yes the account will need to have the access/keys to all of the versions. Which is the case for my accounts.

Please post a reference link along with your answer if possible.

2
  • Weren't they going strictly digital with a new launcher and everything? Commented Nov 24, 2010 at 4:26
  • Not sure. The following is my reason for the question. I am currently deployed to Afghanistan, bought a new laptop, and forgot to bring my disks. If possible, when the new laptop arrives, I want to install WoW without buying WotLK and downloading little as possible. Downloading the whole game including Cata isn't a real option.
    – SgtOJ
    Commented Nov 24, 2010 at 4:38

1 Answer 1

3

If you are starting from scratch and no patches, then the Cataclysm DVD should bring you up to 4.0.3a. They sent out many Warnings not to install the previous games on top of patch 4.x, so it stands to reason that they would just give you the full game on Cataclysm as they have in the past. However there is a topic over at mmo-champion indicating that the game client might try to download the BC and Wrath data over the internet, so hopefully that is not a problem.

4
  • This is more or less what I am looking for. Not what I wanted to hear since I am in Afghanistan. Which would take a long time to download such a huge file. I think I am just going to buy WotLK from the PX and and installed the patches that I all ready have from 3.0 to 4.0.3a. Thank you Resorath.
    – SgtOJ
    Commented Nov 25, 2010 at 5:51
  • Just to clarify - "starting from scratch" = "clean system, no Warcraft at all" (I own Wrath, but closed account/reinstalled Windows a few months ago). Second, that Warnings link has a 4.0 installer - so this means the process involves downloading many gigabytes to install 4.0, then running the Cataclysm DVD install?
    – Cyclops
    Commented Dec 1, 2010 at 15:14
  • @Cyclops if you use the launcher to update to the latest client then you don't need to install the DVD, it will already be installed.
    – Delameko
    Commented Dec 3, 2010 at 14:21
  • @Delameko, cool, thanks. I didn't realize 4.0 == Cataclysm, I thought 4.0 was the last patch data before Cataclysm.
    – Cyclops
    Commented Dec 3, 2010 at 14:55

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .